aboutsummaryrefslogtreecommitdiff
path: root/scripts/vim-patch.sh
diff options
context:
space:
mode:
authorpips.linux <Philipp.Frank@web.de>2016-04-08 19:54:50 +0200
committerpips.linux <Philipp.Frank@web.de>2016-04-08 20:13:24 +0200
commit7cdbf3f97ab053c48d4544a7c007074443c6126a (patch)
treec0cf093c796438603d04252f6c9a9e700e1e37c9 /scripts/vim-patch.sh
parent90e8bdc8985c19ea22c13020359b222c0bcb8ef0 (diff)
downloadrneovim-7cdbf3f97ab053c48d4544a7c007074443c6126a.tar.gz
rneovim-7cdbf3f97ab053c48d4544a7c007074443c6126a.tar.bz2
rneovim-7cdbf3f97ab053c48d4544a7c007074443c6126a.zip
vim-patch.sh: Fetch the whole vim repository and fix a regexp
Make get_vim_sources fetch the whole repository (it's not THAT big) so we can pick up all the patches. The regexp didn't pick up the NA patches if there was a comma after NA, so I extended it (I allowed arbitray things after NA, so maybe someone can write a comment or so, should not lead to confusion).
Diffstat (limited to 'scripts/vim-patch.sh')
-rwxr-xr-xscripts/vim-patch.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/vim-patch.sh b/scripts/vim-patch.sh
index 7612a2ada0..4dc24a8cdf 100755
--- a/scripts/vim-patch.sh
+++ b/scripts/vim-patch.sh
@@ -65,7 +65,7 @@ get_vim_sources() {
if [[ ! -d ${VIM_SOURCE_DIR} ]]; then
echo "Cloning Vim sources into '${VIM_SOURCE_DIR}'."
- git clone --depth=1000 https://github.com/vim/vim.git "${VIM_SOURCE_DIR}"
+ git clone https://github.com/vim/vim.git "${VIM_SOURCE_DIR}"
cd "${VIM_SOURCE_DIR}"
else
if [[ ! -d "${VIM_SOURCE_DIR}/.git" ]]; then
@@ -243,7 +243,7 @@ list_vim_patches() {
local patch_number="${vim_tag:5}" # Remove prefix like "v7.4."
# Tagged Vim patch, check version.c:
is_missing="$(sed -n '/static int included_patches/,/}/p' "${NEOVIM_SOURCE_DIR}/src/nvim/version.c" |
- grep -x -e "[[:space:]]*//[[:space:]]${patch_number} NA" -e "[[:space:]]*${patch_number}," >/dev/null && echo "false" || echo "true")"
+ grep -x -e "[[:space:]]*//[[:space:]]${patch_number} NA.*" -e "[[:space:]]*${patch_number}," >/dev/null && echo "false" || echo "true")"
vim_commit="${vim_tag#v}"
else
# Untagged Vim patch (e.g. runtime updates), check the Neovim git log: